Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPOutlineCornerFilter Class Reference

`#include <vtkPOutlineCornerFilter.h>`

Inheritance diagram for vtkPOutlineCornerFilter:

[legend]
Collaboration diagram for vtkPOutlineCornerFilter:

[legend]
List of all members.

## Detailed Description

create wireframe outline corners for arbitrary data set

Date:
  2002/08/30 13:33:04

Revision:
  1.1

vtkPOutlineCornerFilter works like vtkOutlineCornerFilter, but it looks for data partitions in other processes. It assmues the fitler is operation in a data parallel pipeline.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (95%)

CVS logs (CVSweb):
  - .`cxx` (`/Parallel/vtkPOutlineCornerFilter.cxx)`
  - .`h` (`/Parallel/vtkPOutlineCornerFilter.h)`

Definition at line 45 of file vtkPOutlineCornerFilter.h.

## Public Types
typedef vtkDataSetToPolyDataFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetCornerFactor (float)
virtual float | GetCornerFactor ()
virtual void | SetController (vtkMultiProcessController *)
virtual vtkMultiProcessController * | GetController ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkPOutlineCornerFilter * | SafeDownCast (vtkObject *o)
vtkPOutlineCornerFilter * | New ()
## Protected Methods
| vtkPOutlineCornerFilter ()
| ~vtkPOutlineCornerFilter ()
void | Execute ()
void | ExecuteInformation ()
## Protected Attributes
vtkMultiProcessController * | Controller
vtkOutlineCornerSource * | OutlineCornerSource
float | CornerFactor

## Member Typedef Documentation

typedef vtkDataSetToPolyDataFilter vtkPOutlineCornerFilter::Superclass

| Reimplemented from vtkDataSetToPolyDataFilter. Definition at line 48 of file vtkPOutlineCornerFilter.h.

## Constructor & Destructor Documentation

vtkPOutlineCornerFilter::vtkPOutlineCornerFilter | ( |  | ) | `[protected]`

vtkPOutlineCornerFilter::~vtkPOutlineCornerFilter | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkPOutlineCornerFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToPolyDataFilter.

int vtkPOutlineCornerFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToPolyDataFilter.

virtual int vtkPOutlineCornerFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToPolyDataFilter.

vtkPOutlineCornerFilter* vtkPOutlineCornerFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToPolyDataFilter.

void vtkPOutlineCornerFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetToPolyDataFilter.

vtkPOutlineCornerFilter* vtkPOutlineCornerFilter::New | ( |  | ) | `[static]`

| Construct outline corner filter with default corner factor = 0.2 Reimplemented from vtkObject.

virtual void vtkPOutlineCornerFilter::SetCornerFactor | ( | float |  | ) | `[virtual]`

| Set/Get the factor that controls the relative size of the corners to the length of the corresponding bounds

virtual float vtkPOutlineCornerFilter::GetCornerFactor | ( |  | ) | `[virtual]`

| Set/Get the factor that controls the relative size of the corners to the length of the corresponding bounds

virtual void vtkPOutlineCornerFilter::SetController | ( | vtkMultiProcessController * |  | ) | `[virtual]`

| Set and get the controller.

virtual vtkMultiProcessController* vtkPOutlineCornerFilter::GetController | ( |  | ) | `[virtual]`

| Set and get the controller.

void vtkPOutlineCornerFilter::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

void vtkPOutlineCornerFilter::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkSource.

## Member Data Documentation

vtkMultiProcessController* vtkPOutlineCornerFilter::Controller`[protected]`

| Definition at line 71 of file vtkPOutlineCornerFilter.h.

vtkOutlineCornerSource* vtkPOutlineCornerFilter::OutlineCornerSource`[protected]`

| Definition at line 72 of file vtkPOutlineCornerFilter.h.

float vtkPOutlineCornerFilter::CornerFactor`[protected]`

| Definition at line 76 of file vtkPOutlineCornerFilter.h.

The documentation for this class was generated from the following file:

- Parallel/vtkPOutlineCornerFilter.h